*resolved* Unable to install opendkim as libmilter is not found

Bug #2060929 reported by Santosh Pandit

This bug report will be marked for expiration in 20 days if no further activity occurs. (find out why)

6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
opendkim (Ubuntu)
Incomplete
Undecided
Unassigned

Bug Description

I have ubuntu noble development version and apt update/apt upgrade have been done. It is not possible to install opendkim and gives the error below.

Please check availability of dependencies in repository and help.

ERROR
=====
root@secure:/etc/apt/sources.list.d# apt install opendkim
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 opendkim : Depends: libmilter1.0.1 (>= 8.14.1) but it is not installable
E: Unable to correct problems, you have held broken packages.

FURTHER CHECK (looking for libmilter - but there is none)
=============
root@secure:/etc/apt/sources.list.d# apt list *libmilter*
Listing... Done

SOURCES CHECKED (for repository - main and universe exist)
===============
root@secure:/etc/apt/sources.list.d# cat ubuntu.sources
Types: deb
URIs: http://archive.ubuntu.com/ubuntu
Suites: noble noble-updates noble-backports
Components: main restricted universe multiverse
Signed-By: /usr/share/keyrings/ubuntu-archive-keyring.gpg

Types: deb
URIs: http://security.ubuntu.com/ubuntu
Suites: noble-security
Components: main restricted universe multiverse
Signed-By: /usr/share/keyrings/ubuntu-archive-keyring.gpg

Tags: noble opendkim
Revision history for this message
Santosh Pandit (santoshpandit) wrote :

On 12 April 2024, after doing apt update && apt upgrade I noticed that I was able to install opendkim on noble. The libmilter is now found and the installation went through (output shared below).

Please could you mark the bug as resolved? Thanks.

root@secure:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Noble Numbat (development branch)
Release: 24.04
Codename: noble

root@secure:~# apt install opendkim
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following additional packages will be installed:
  libmilter1.0.1
The following NEW packages will be installed:
  libmilter1.0.1 opendkim
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 213 kB of archives.
After this operation, 758 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu noble/universe amd64 libmilter1.0.1 amd64 8.18.1-2 [40.1 kB]
Get:2 http://archive.ubuntu.com/ubuntu noble/universe amd64 opendkim amd64 2.11.0~beta2-9build4 [173 kB]
Fetched 213 kB in 1s (403 kB/s)
Selecting previously unselected package libmilter1.0.1:amd64.
(Reading database ... 282127 files and directories currently installed.)
Preparing to unpack .../libmilter1.0.1_8.18.1-2_amd64.deb ...
Unpacking libmilter1.0.1:amd64 (8.18.1-2) ...
Selecting previously unselected package opendkim.
Preparing to unpack .../opendkim_2.11.0~beta2-9build4_amd64.deb ...
Unpacking opendkim (2.11.0~beta2-9build4) ...
Setting up libmilter1.0.1:amd64 (8.18.1-2) ...
Setting up opendkim (2.11.0~beta2-9build4) ...
Created symlink /etc/systemd/system/multi-user.target.wants/opendkim.service → /usr/lib/systemd/system/opendkim.service.
Processing triggers for man-db (2.12.0-4build1) ...
Processing triggers for libc-bin (2.39-0ubuntu8) ...
Scanning processes...
Scanning linux images...

Running kernel seems to be up-to-date.

summary: - Unable to install opendkim as libmilter is not found
+ *resolved* Unable to install opendkim as libmilter is not found
David Bürgin (glts)
Changed in opendkim (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.